Package com.xebialabs.deployit.plugin.api.reflect

## Class InputHint.InputHintBuilder

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.reflect.InputHint.InputHintBuilder

- Enclosing class:
    InputHint

      public static class InputHint.InputHintBuilder
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `copyFromProperty` |
    `boolean` | `dynamicLookup` |
    `PropertyKind` | `kind` |
    `java.lang.String` | `methodRef` |
    `java.lang.String` | `prompt` |
    `Type` | `referencedType` |
    `boolean` | `required` |
    `java.util.Set<Validator<?>>` | `validationRules` |
    `java.util.List<InputHintValue>` | `values` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InputHintBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InputHint.InputHintBuilder` | `construct​(java.util.function.Consumer<InputHint.InputHintBuilder> builderFunction)` |
    `InputHint` | `constructInputHint()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### kind

          public PropertyKind kind

    - #### required

          public boolean required

    - #### prompt

          public java.lang.String prompt

    - #### values

          public java.util.List<InputHintValue> values

    - #### validationRules

          public java.util.Set<Validator<?>> validationRules

    - #### copyFromProperty

          public java.lang.String copyFromProperty

    - #### referencedType

          public Type referencedType

    - #### methodRef

          public java.lang.String methodRef

    - #### dynamicLookup

          public boolean dynamicLookup

  - ### Constructor Detail

    - #### InputHintBuilder

          public InputHintBuilder()

  - ### Method Detail

    - #### construct

          public InputHint.InputHintBuilder construct​(java.util.function.Consumer<InputHint.InputHintBuilder> builderFunction)

    - #### constructInputHint

          public InputHint constructInputHint()